Package org.gradle.api.component

# Interface ComponentWithCoordinates

All Superinterfaces:
  `Named`, `SoftwareComponent`

public interface ComponentWithCoordinates extends SoftwareComponent
Represents a component that determines its publication coordinates.

Since:
  4.7

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`ModuleVersionIdentifier`
`getCoordinates()`
The publication coordinates for this component.

### Methods inherited from interface org.gradle.api.Named

`getName`

## Method Details

### getCoordinates

ModuleVersionIdentifier getCoordinates()
The publication coordinates for this component.